Skip to main content
PATCH
Error

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

connection-id
string

Connection ID for the target bank

idempotency-key
string
required

Unique key to ensure idempotency of the request

signature
string
required

SHA-256 signature of client_secret + ";" + idempotency-key

Path Parameters

mandate_id
string
required

The ID of the direct debit mandate

Body

application/json
reference
string
required

Unique reference ID of the direct debit mandate. This is SP's external reference

Example:

"DD123456789"

narration
string
required

Description of the mandate. This would be displayed to the customer

Example:

"Monthly subscription payment"

amount
number
required

The amount of the direct debit

Example:

100

mandate_status
enum<string>

The status of the mandate

Available options:
ACTIVE,
INACTIVE
Example:

"ACTIVE"

start_date
string<date>

The start date of the mandate

Example:

"2024-03-20"

end_date
string<date>

The date at which the mandate expires. Transactions called on the mandate after expiration would fail

Example:

"2025-03-20"

frequency
enum<string>

Specifies how often a mandate would be called

Available options:
DAILY,
WEEKLY,
MONTHLY,
QUARTERLY,
YEARLY
Example:

"MONTHLY"

destination_bank_code
string

The bank code of the destination bank

Example:

"044"

destination_account
string

The account number of the destination bank

Example:

"0987654321"

destination_account_name
string

Account number of the merchant in NUBAN format

Example:

"Merchant Name Ltd"

callback_url
string

The URL that the API Provider would call to notify of the API Consumer about the status of the transaction

Example:

"https://api.merchant.com/webhooks/dd-status/DD123456789"

custom_properties
object[]

Response

Direct debit mandate updated successfully

status
string
required
Example:

"00"

message
string
required
Example:

"Payment successful"

data
object
required